Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1026842 - don't spawn pop-up for .vv file download in User Portal (because it can't open multiple consoles at one click anyway)
Summary: don't spawn pop-up for .vv file download in User Portal (because it can't ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
: 1026848 1039793 (view as bug list)
Depends On:
Blocks: GSS_RHEV_33_BETA 1049948 1052077 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-05 14:13 UTC by David Jaša
Modified: 2018-12-04 16:16 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-beta2
Doc Type: Bug Fix
Doc Text:
Previously, a new window would be opened for downloading Virt Viewer when a user connected to the console of a virtual machine from the User Portal and Virt Viewer had to be downloaded. With this update, Virt Viewer is now downloaded in the same window or tab without creating any additional pop-ups or windows.
Clone Of:
: 1049948 1052077 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:00:42 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 695253 None None None Never
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 21076 None None None Never

Description David Jaša 2013-11-05 14:13:33 UTC
Description of problem:
The purpose of popping up a new window for .vv file download is AFAIK ability to open consoles to multiple VMs at the same time. User portal is not capable of doing this however so a pop-up is just a nuisance for users because it requires them to enable pop-ups to make the "Native client" actually work (at least with Firefox) or it causes User Portal reload (IE8/XP).

Version-Release number of selected component (if applicable):
is21 / rhevm-userportal-3.3.0-0.31.beta1.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. set up console to "Native client" in User Portal
2. click Console
3.

Actual results:
.vv file download is offered in a pop-up window

Expected results:
.vv file is offered from base User Portal window

Additional info:
3.2 UP doesn't spawn pop-up --> Regression

Comment 2 Michal Skrivanek 2013-11-07 15:23:24 UTC
not a blocker IMO, but worth a fix - do this only for 2+ VMs

Comment 3 Michal Skrivanek 2013-11-07 15:31:28 UTC
*** Bug 1026848 has been marked as a duplicate of this bug. ***

Comment 5 Frantisek Kobzik 2014-01-06 14:18:49 UTC
*** Bug 1039793 has been marked as a duplicate of this bug. ***

Comment 7 Pavel Novotny 2014-02-20 11:46:38 UTC
Verified upstream in ovirt-engine-3.4.0-0.7.beta2.el6.noarch.

Verification steps:
1. Have a running VM with SPICE/VNC console, "Native Client" invocation set in Console Options.
2. Click the Console button.

Results:
The console.vv file download is invoked in the same window/tab, no other pop-ups/windows are opened.

Clients used:
Firefox 24 ESR @ RHEL 6.5
IE 9 @ Windows 7

Comment 8 errata-xmlrpc 2014-06-09 15:00:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.